<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE item SYSTEM "http://www.c3d2.de/dtd/c3d2web.dtd">
<?xml-stylesheet type="text/xsl" href="../../xsl/html.xsl" ?>
<item title="TA: Python und Twisted" date="2006-07-27T15:00:00" author="Astro">
  <image title="Snakes bite!">python.png</image>
  <event>
    <start>2006-07-28T19:00:00</start>
    <location>Berufsakademie Dresden, Raum G3, Heideparkstr. 8, 01099 Dresden</location>
  </event>

  <addendum>
    <p>
      <link href="http://www.python.org/">Python</link> ist eine dynamisch typisierte, objektorientierte, quelloffen entwickelte Programmiersprache, bei deren Design großen Wert auf Einfachheit und Übersichtlichkeit legt. Mehr bitte <link href="http://de.wikipedia.org/wiki/Python_%28Programmiersprache%29">auf Wikipedia</link> nachlesen.
    </p>
    <p>
Beim Themenabend soll zunächst eine Einführung in grundlegende Konzepte der
Sprache geboten werden, wie sie in nahezu allen Sprachen vorhanden sind.
Hierzu sollten keine Programmiervorkenntnisse nötig sein. Im Laufe des Abends
soll immer stärker auf Python-spezifische Merkmale eingegangen werden, so
dass dann auch Programmierer, die sich bisher mit Python nur wenig
auskennen, auf ihre Kosten kommen.
    </p>
    <p>
      Später soll noch kurz das Programmierframework <link href="http://twistedmatrix.com/">Twisted</link> vorgestellt werden,
das die Möglichkeit bietet, in Python asynchrone Programmierung ohne Threads
(eventbasiert) zu betreiben, und damit hohe Performance erreicht. Twisted
bietet aber vorallem fertige Bibliotheken zu Netzwerkprogrammierung an, HTTP
über SMTP, IMAP, POP, bis hin zum eigenen SSH-Server an.
    </p>
    <p>
Wer Lust hat, selber noch etwas beizutragen, oder Fragen oder Anregungen,
der melde sich bitte per Mail bei frank-python@benkstein.net
    </p>

    <p title="Nachtrag">
      Notizen gibts bei genius: <link href="http://semaphor.org/?item=blog&amp;lid=2006-07-28_0001">python + twisted</link>
    </p>
  </addendum>
</item>
